Subject: bug#77143: closed (Re: bug#77143: 30.1; package--description-file handles some packages wrong)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 13 Apr 2025 08:17:05 +0000

Your bug report

#77143: 30.1; package--description-file handles some packages wrong

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77143: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77143
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77143: 30.1; package--description-file handles some packages wrong
From: Eli Zaretskii <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Sun, 13 Apr 2025 11:16:14 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Cc: [email-masked], [email-masked]
> Date: Tue, 01 Apr 2025 14:12:31 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > Cc: [email-masked]
> > Date: Mon, 31 Mar 2025 15:04:19 -0400
> > From:  Stefan Monnier via "Bug reports for GNU Emacs,
> >  the Swiss army knife of text editors" <[email-masked]>
> > 
> > >> I also notice that the version part of the regex can be improved because
> > >> it does not take `version-regexp-alist' into consideration.  But that is
> > >> out of the scope of this bug.
> > >
> > > I tested the above patch with all elisp packages from (Non)GNU(-devel)
> > > ELPA and MELPA.  All 7 packages from my initial post are fixed.  At the
> > > same time, I find only one package vm[0] is "broken" by my patch.
> > >
> > > Without my patch, the result is right.
> > > (package--description-file "vm-8.3.0snapshot0.20250208.60553")
> > >   ⇒ "vm-pkg.el"
> > >
> > > With my patch, the result is wrong.
> > > (package--description-file "vm-8.3.0snapshot0.20250208.60553")
> > >   ⇒ "vm-8.3.0snapshot0.20250208.60553-pkg.el"
> > >
> > > A quick fix is to add snapshot to the regex version part.
> > 
> > Thanks I pushed your patch, amended to add `snapshot`.
> 
> Thanks.
> 
> Should this bug be closed now?

Closing.

Subject: 30.1; package--description-file handles some packages wrong
From: Lin Jian <[email-masked]>
To: [email-masked]
Date: Fri, 21 Mar 2025 09:10:54 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Actual result:
(package--description-file "/some/path/p4-16-mode-0.3")
  ⇒ "p4-pkg.el"

Expected result:
(package--description-file "/some/path/p4-16-mode-0.3")
  ⇒ "p4-16-mode-pkg.el"

This example is for p4-16-mode[0].  There are a few other packages
having this issue, such as auth-source-1password[1], comment-dwim-2[2],
cyberpunk-2019-theme[3], iso-639[4], ox-750words[5] and
tango-2-theme[6].

[0]: https://elpa.nongnu.org/nongnu/p4-16-mode.html
[1]: https://github.com/dlobraico/auth-source-1password
[2]: https://github.com/remyferre/comment-dwim-2
[3]: https://github.com/the-frey/cyberpunk-2019
[4]: https://codeberg.org/tomenzgg/emacs-iso-639
[5]: https://github.com/zzamboni/750words-client
[6]: https://gist.github.com/developernotes/2024464